com.amazonaws.services.simpleworkflow.model

## Class StartLambdaFunctionFailedEventAttributes

- java.lang.Object
- - com.amazonaws.services.simpleworkflow.model.StartLambdaFunctionFailedEventAttributes

All Implemented Interfaces:
  Serializable, Cloneable

    public class StartLambdaFunctionFailedEventAttributes
    extends Object
    implements Serializable, Cloneable

Provides details for the `StartLambdaFunctionFailed` event.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`StartLambdaFunctionFailedEventAttributes()`

### Method Summary

All Methods Instance Methods Concrete Methods
`StartLambdaFunctionFailedEventAttributes` `clone()`
`boolean` `equals(Object obj)`
`String` `getCause()` The cause of the failure.
`String` `getMessage()` The error message (if any).
`Long` `getScheduledEventId()` The ID of the `LambdaFunctionScheduled` event that was recorded when this AWS Lambda function was scheduled.
`int` `hashCode()`
`void` `setCause(StartLambdaFunctionFailedCause cause)` The cause of the failure.
`void` `setCause(String cause)` The cause of the failure.
`void` `setMessage(String message)` The error message (if any).
`void` `setScheduledEventId(Long scheduledEventId)` The ID of the `LambdaFunctionScheduled` event that was recorded when this AWS Lambda function was scheduled.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`StartLambdaFunctionFailedEventAttributes` `withCause(StartLambdaFunctionFailedCause cause)` The cause of the failure.
`StartLambdaFunctionFailedEventAttributes` `withCause(String cause)` The cause of the failure.
`StartLambdaFunctionFailedEventAttributes` `withMessage(String message)` The error message (if any).
`StartLambdaFunctionFailedEventAttributes` `withScheduledEventId(Long scheduledEventId)` The ID of the `LambdaFunctionScheduled` event that was recorded when this AWS Lambda function was scheduled.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### StartLambdaFunctionFailedEventAttributes

    public StartLambdaFunctionFailedEventAttributes()

### Method Detail

#### setScheduledEventId

    public void setScheduledEventId(Long scheduledEventId)

The ID of the `LambdaFunctionScheduled` event that was recorded when this AWS Lambda function was scheduled. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Parameters:
  `scheduledEventId` - The ID of the `LambdaFunctionScheduled` event that was recorded when this AWS Lambda function was scheduled. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

#### getScheduledEventId

    public Long getScheduledEventId()

The ID of the `LambdaFunctionScheduled` event that was recorded when this AWS Lambda function was scheduled. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Returns:
  The ID of the `LambdaFunctionScheduled` event that was recorded when this AWS Lambda function was scheduled. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

#### withScheduledEventId

    public StartLambdaFunctionFailedEventAttributes withScheduledEventId(Long scheduledEventId)

The ID of the `LambdaFunctionScheduled` event that was recorded when this AWS Lambda function was scheduled. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Parameters:
  `scheduledEventId` - The ID of the `LambdaFunctionScheduled` event that was recorded when this AWS Lambda function was scheduled. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setCause

    public void setCause(String cause)

The cause of the failure. This information is generated by the system and can be useful for diagnostic purposes.

<note>If cause is set to OPERATION_NOT_PERMITTED, the decision failed because it lacked sufficient permissions. For details and example IAM policies, see Using IAM to Manage Access to Amazon SWF Workflows.</note>

Parameters:
  `cause` - The cause of the failure. This information is generated by the system and can be useful for diagnostic purposes. <note>If cause is set to OPERATION_NOT_PERMITTED, the decision failed because it lacked sufficient permissions. For details and example IAM policies, see Using IAM to Manage Access to Amazon SWF Workflows.
See Also:
  `StartLambdaFunctionFailedCause`

#### getCause

    public String getCause()

The cause of the failure. This information is generated by the system and can be useful for diagnostic purposes.

<note>If cause is set to OPERATION_NOT_PERMITTED, the decision failed because it lacked sufficient permissions. For details and example IAM policies, see Using IAM to Manage Access to Amazon SWF Workflows.</note>

Returns:
  The cause of the failure. This information is generated by the system and can be useful for diagnostic purposes. <note>If cause is set to OPERATION_NOT_PERMITTED, the decision failed because it lacked sufficient permissions. For details and example IAM policies, see Using IAM to Manage Access to Amazon SWF Workflows.
See Also:
  `StartLambdaFunctionFailedCause`

#### withCause

    public StartLambdaFunctionFailedEventAttributes withCause(String cause)

The cause of the failure. This information is generated by the system and can be useful for diagnostic purposes.

<note>If cause is set to OPERATION_NOT_PERMITTED, the decision failed because it lacked sufficient permissions. For details and example IAM policies, see Using IAM to Manage Access to Amazon SWF Workflows.</note>

Parameters:
  `cause` - The cause of the failure. This information is generated by the system and can be useful for diagnostic purposes. <note>If cause is set to OPERATION_NOT_PERMITTED, the decision failed because it lacked sufficient permissions. For details and example IAM policies, see Using IAM to Manage Access to Amazon SWF Workflows.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `StartLambdaFunctionFailedCause`

#### setCause

    public void setCause(StartLambdaFunctionFailedCause cause)

The cause of the failure. This information is generated by the system and can be useful for diagnostic purposes.

<note>If cause is set to OPERATION_NOT_PERMITTED, the decision failed because it lacked sufficient permissions. For details and example IAM policies, see Using IAM to Manage Access to Amazon SWF Workflows.</note>

Parameters:
  `cause` - The cause of the failure. This information is generated by the system and can be useful for diagnostic purposes. <note>If cause is set to OPERATION_NOT_PERMITTED, the decision failed because it lacked sufficient permissions. For details and example IAM policies, see Using IAM to Manage Access to Amazon SWF Workflows.
See Also:
  `StartLambdaFunctionFailedCause`

#### withCause

    public StartLambdaFunctionFailedEventAttributes withCause(StartLambdaFunctionFailedCause cause)

The cause of the failure. This information is generated by the system and can be useful for diagnostic purposes.

<note>If cause is set to OPERATION_NOT_PERMITTED, the decision failed because it lacked sufficient permissions. For details and example IAM policies, see Using IAM to Manage Access to Amazon SWF Workflows.</note>

Parameters:
  `cause` - The cause of the failure. This information is generated by the system and can be useful for diagnostic purposes. <note>If cause is set to OPERATION_NOT_PERMITTED, the decision failed because it lacked sufficient permissions. For details and example IAM policies, see Using IAM to Manage Access to Amazon SWF Workflows.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `StartLambdaFunctionFailedCause`

#### setMessage

    public void setMessage(String message)

The error message (if any).

Parameters:
  `message` - The error message (if any).

#### getMessage

    public String getMessage()

The error message (if any).

Returns:
  The error message (if any).

#### withMessage

    public StartLambdaFunctionFailedEventAttributes withMessage(String message)

The error message (if any).

Parameters:
  `message` - The error message (if any).
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public StartLambdaFunctionFailedEventAttributes clone()

Overrides:
  `clone` in class `Object`